// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
    event.remove({ id: 'enchantinginfuser:enchanting_infuser' })
    event.remove({ id: 'enchantinginfuser:advanced_enchanting_infuser' })
});

ServerEvents.recipes(event => {
    event.shaped('enchantinginfuser:enchanting_infuser', [
      ' a ',
      'beb',
      'cdc'
    ], {
      a: 'minecraft:enchanted_book',
      b: 'ancient_elements:celestium_ingot',
      c: 'minecraft:crying_obsidian',
      d: 'minecraft:enchanting_table',
      e: 'minecraft:netherite_block',
    }).result('1x enchantinginfuser:enchanting_infuser');

    event.shaped('enchantinginfuser:advanced_enchanting_infuser', [
      ' a ',
      'beb',
      'cdc'
    ], {
      a: 'minecraft:enchanted_book',
      b: 'forbidden_arcanus:dark_nether_star',
      c: 'minecraft:crying_obsidian',
      d: 'enchantinginfuser:enchanting_infuser',
      e: 'forbidden_arcanus:dark_nether_star_block',
    }).result('1x enchantinginfuser:advanced_enchanting_infuser');
});